IEEE80211_INPUT(9)

NAME
ieee80211_input, ieee80211_decap, ieee80211_recv_mgmt - software 802.11 stack input functions

SYNOPSIS
#include <net80211/ieee80211_var.h>
#include <net80211/ieee80211_proto.h>
void
ieee80211_input(struct ifnet *ifp, struct mbuf *m, struct ieee80211_node *ni, int rssi, u_int32_t rstamp);
struct mbuf *
ieee80211_decap(struct ifnet *ifp, struct mbuf *m);
void
ieee80211_recv_mgmt(struct ieee80211com *ic, struct mbuf *m0, struct ieee80211_node *ni, int subtype, int rssi, u_int32_t rstamp);

DESCRIPTION
These functions process received 802.11 frames.

The ieee80211_input() function takes an mbuf chain m containing a complete 802.11 frame from the driver ifp and passes it to the software 802.11 stack for input processing. The ni argument specifies an instance of struct ieee80211_node (which may be driver-specific) representing the node from which the frame was received. The arguments rssi and stamp are typically derived from on-card data structures; they are used for recording the signal strength and time received of the frame respectively.

The ieee80211_decap() function performs decapsulation of the 802.11 frame in the mbuf chain m received by the device ifp, taking the form of the 802.11 address fields into account; the structure of 802.11 addresses vary according to the intended source and destination of the frame. It is typically called from within ieee80211_input().

The ieee80211_recv_mgmt() performs input processing for 802.11 management frames. It is typically called from within ieee80211_input().

SEE ALSO
ieee80211(9)

HISTORY
The ieee80211 series of functions first appeared in NetBSD 1.5, and were later ported to FreeBSD 4.6 and OpenBSD 3.6.

AUTHORS
-nosplit This man page was written by Bruce M. Simpson <bms@FreeBSD.org> and Darron Broad <darron@kewl.org>.

BUGS
There is no netisr queue specifically for the software 802.11 stack yet.